import Connector from 'connect-store';
import Text from 'mango-ui/display/Text';
import Container from 'mango-ui/layout/Container';
import Window from 'mango-ui/layout/Window';
import * as React from 'react';

const styles = require('./App.less');

class ClockStore {
  public time = new Date();

  constructor() {
    setInterval(_ => {
      this.time = new Date();
    }, 1000);
  }
}

const ClockView = ({ time }: { time: Date }) => <Text superLarge>{time.toLocaleString()}</Text>;

export default () => (
  <Window full>
    <Container full flex className={styles.main}>
      <Connector
        View={ClockView}
        store={new ClockStore()}
      />
    </Container>
  </Window>
);
